//Test the new directory object.

//Current dir
Console.writeln("Enter a directory name: ");
var name = Console.read();
name = name.replace(/^\s*/, '').replace(/\s*$/, '');

try {
	var dir = new Directory(name);
	var files = dir.getTotalFiles();
	var dirs = dir.getTotalDirectories();
	var perms = dir.getPermissions();
	var readable = dir.isReadable();
	var writable = dir.isWritable();
	var executable = dir.isExecutable();
	var modTime = dir.getLastModified();
	var accTime = dir.getLastAccess();
	var creTime = dir.getCreationTime();
	var isdir = dir.isDirectory();
	var islink = dir.isLink();
	var ispipe = dir.isPipe();
	var issock = dir.isSocket();
	var size = dir.getSize();

	Console.writeln(name);
	Console.writeln("-----------------");
	Console.writeln("Size: "+size);
	Console.writeln("Total files: "+files);
	Console.writeln("Total directories: "+dirs);
	Console.writeln("Last Modified: "+modTime);
	Console.writeln("Last Accessed: "+accTime);
	Console.writeln("Created at: "+creTime);
	Console.writeln("Permissions: "+perms.toString(8));
	Console.writeln("\tIs Readable: "+yn(readable));
	Console.writeln("\tIs Writable: "+yn(writable));
	Console.writeln("\tIs Executable: "+yn(executable));
	Console.writeln("Is directory: "+yn(isdir));
	Console.writeln("Is symlink: "+yn(islink));
	Console.writeln("Is pipe: "+yn(ispipe));
	Console.writeln("Is socket: "+yn(issock));
}
catch (e){
	Console.writeln("Caught exception examining directory. ");
	Console.writeln(e);
}
Console.writeln("Done examining directory object.");


function yn(b){
	return b?"Yes":"No";
}
